diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/tree/TreeInfo.java b/src/jdk.compiler/share/classes/com/sun/tools/javac/tree/TreeInfo.java
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/tree/TreeInfo.java
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/tree/TreeInfo.java
@@ -165,10 +165,23 @@
             default:
                 return false;
         }
     }
 
+    public static boolean isSuperQualifier(JCTree tree) {
+        switch (tree.getTag()) {
+            case PARENS:
+                return isThisQualifier(skipParens(tree));
+            case IDENT: {
+                JCIdent id = (JCIdent)tree;
+                return id.name == id.name.table.names._super;
+            }
+            default:
+                return false;
+        }
+    }
+
     /** Is this tree an identifier, possibly qualified by 'this'?
      */
     public static boolean isIdentOrThisDotIdent(JCTree tree) {
         switch (tree.getTag()) {
             case PARENS:
